Subject: bug#61719: 29.0.60; pgtk focus problem with Sway 1.7

From: Sean Whitton <[email-masked]>
Date: Thu, 23 Feb 2023 21:52:03 -0700

Hello,

On Thu 23 Feb 2023 at 05:35PM +08, Po Lu wrote:

> Sean Whitton <[email-masked]> writes:
>
>> X-debbugs-cc: [email-masked]
>>
>> I just upgraded a workstation Debian bullseye->bookworm, which involved
>> an upgrade of the Sway Wayland compositor from 1.5 to 1.7.  This appears
>> to have uncovered a bug in the pgtk build.
>>
>> 1. emacs -Q --bg-daemon=foo
>> 2. emacsclient -sfoo -nc; sleep 5; emacsclient -sfoo -nc
>>
>> After the second frame has opened, it seems that the first still has
>> keyboard focus for typing unmodified self-insert chars, but if you type
>> C-x, then neither of the frames receives the keypress.
>>
>> I tried 'firefox -new-window; sleep 5; firefox -new-window', which is
>> also Wayland-native GTK, for comparison.  The bug does not appear there.
>
> Would you please run Emacs with ``WAYLAND_DEBUG=client'' and show the
> print out around the time you create the new frame?
>
> The output will be very verbose, but please send the entirety, and not
> just what you think to be the problem.  Thanks.

Hmm.  I just restarted Sway and now I can't reproduce it, but before I
restarted it, I could reproduce it reliably.

I will keep trying every few hours and see.

-- 
Sean Whitton